@import url('https://fonts.googleapis.com/css2?family=Sofia+Sans&family=Ubuntu&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Ubuntu', sans-serif;
}
body {
    /*min-width: 40rem;            300px part of window */
    width: 100%;
    height: 100vh;
}
.section-heading {
    font-size: 2.5rem;
    font-weight: 800;
    word-spacing: 0.3rem;
    margin: 1rem;
}


/*.....navbar..... */
.navbar {
    position: fixed;
    background: linear-gradient(to right, black, crimson);
    height: 60px;
    width: 100%;
    padding: 0 2.5rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 99;
}
.navbar .left {
    width: 27rem;  
    display: flex;
    align-items: center;
    font-size: 2.2rem;
    font-weight: 800;
    color: white;
    letter-spacing: 0.1rem;
    line-height: 55px;
    gap: 3rem;
    }
.navbar .left .link {
    width: 8rem;
    height: 3rem;
    font-size: 2.5rem;
    display: flex;
    align-items: center;
    justify-content: space-around;
    line-height: 65px;
}
.navbar .left a {
    text-decoration: none;
    border-radius: 8px;
    color:  white;
    display: flex;
    align-items: center;
    justify-content: center;
}
.navbar .left a :hover {
    border-radius: 5px;
    color: black;
    background-color: aliceblue;
    transform: scale(1.1);
    transition: 0.3s;
} 
.navbar .right {
    display: flex;
    gap: 1.5rem; 
    float: right;
    list-style-type: none;
}
.navbar .right .button {
    display: inline-block;
    line-height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.navbar .right .button a{
    border-radius: 11px;
    text-decoration: none;
    letter-spacing: 0.06rem;
    color: white;
    font-size: 1.7rem;
    padding: 0.3rem 1rem;
}
.navbar .right .button a:hover {
    transform: scale(1.1);
    transition: 0.3s;
    color: black;
    background-color: white;
}
#checkbtn{
    float: right;
    line-height: 65px;
    font-size: 2.2rem;
    color: white;
    display: none;
}
#check{
    display: none;
}
#check:checked ~ .right{
    left: 0;
}


/* ....about....... */
.about {
    height: 100vh;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url(Images/bg1.svg);
    background-repeat: no-repeat;
    background-size: cover;
}
.about .about-grid{
    height: 80%;
    width: 60rem;
    min-height: 25rem;
    padding: 1.3rem;
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: repeat(3, 1fr);
    row-gap: 2rem;
    column-gap: 2rem;
}
.about .about-img{
    grid-row: 1 / -1;
    grid-column: 1 / span 2;
    display: flex;
    align-items: center;
    justify-content: center;
}
.about .about-img img {
    width: 90%;
    height: auto;
    min-width: 15rem;
    min-height: 22rem;
    object-fit: cover;
    border-radius: 0 2rem;
    box-shadow: rgb(17, 19, 22) 5px 8px 25px 0;
}
.about .about-name{
    grid-column: 3 / -1;
    font-size: 4rem;
    font-weight: 1000;
    line-height: 2.8rem;
    align-self: end;
}
.about .about-name span {
    height: 5px;
    font-size: 1.5rem;
    font-family: 'Sofia Sans', sans-serif;
}
.about .about-text{
    grid-column: 3 / -1;
    word-spacing: 0.2rem;
    font-size: 1.5rem;
    font-family: 'Sofia Sans', sans-serif;

}
.about .about-button-contect{
    grid-column: 3 / 4;
}
.about .about-button-resume{
    grid-column: 4 / -1;
}
.about .buttons {
    border: 3px solid white;
    border-radius: 10px;
    background: linear-gradient(to right, rgb(41, 40, 43), crimson);
    font-size: 1.5rem;
    align-self: start;
    justify-self: start;
    transition: all 0.3s ease;
    padding: 0.5rem 1rem;
}
.about .buttons:hover{
    transform: scale(1.1);
    transition: 0.3s;
}
.about .buttons a{
    color: white;
    text-decoration: none;
}
.about .card:hover{
    transform: scale(1.04);
    transition: 0.4s;
}

/*.......skills......... */
.skills {
    background-image: url(Images/bg1.svg);
    height: calc(100vh - 60px);
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-repeat: no-repeat;
    background-size: cover;
}
.skills .skills-showcase {
    height: 80%;
    width: 85%;
    padding: 0 1.5rem;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(8, 1fr);
    row-gap: 0.4rem;
    column-gap: 2rem;
    overflow: visible;
}
.skills .skills-heading {
    grid-row: 1 / 2;
    grid-column: 1 / 3;
    font-size: 1.4rem;
    line-height: 2.5rem;
    align-self: end;
    font-weight: 900;
}
.skills .skills-text {
    grid-row: 2 / span 6;
    grid-column: 1 / 3;
    font-size: 1.2rem;
    font-family: 'Sofia Sans', sans-serif;
    text-align: justify;
    word-spacing: 0.5rem;
    
}
.skills .skills-box{
    grid-row: 1 / -1;
    grid-column: 3 / -1;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    align-content: center;
    gap: 1.5rem;
}
.skills .skills-box .circle {
    border: 0.5rem solid rgb(41, 36, 36) ;
    border-radius: 50%;
    height: 6.7rem;
    width: 6.7rem;
    font-weight: 900;
    background-color: white;
    padding: 2rem;
    margin: 0 1%;
    font-size: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: rgb(0, 0, 0) 3px 3px 15px 3px;

}
.skills .skills-box .circle:hover{
    border: 0.5rem solid rgb(255, 255, 255) ;
    background: linear-gradient(to right, rgb(41, 40, 43), crimson);
    color: aliceblue;
    background-color: rgb(0, 0, 0);
    transform: scale(1.07);
    transition: 0.5s;
}

/* .........Project..... */
.project {
    min-height: calc(100vh - 60px);
    background-image: url(Images/bg1.svg); 
    background-size: cover;
    flex-direction: column;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem 1rem;
    gap: 1rem;
}
.project .project-showcase{
    height: auto;                                           /*min height */
    width: auto;   
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 1.5rem;
    gap: 3rem;
    overflow: auto;
}
.project-items{
    border-radius: 0 1rem;
    height: calc(9 * 23px);
    width: calc(16 * 23px);
    box-shadow: rgb(17, 19, 22) 6px 4px 20px 1px;
    flex-shrink: 0;
}
img{
    height: 100%;
    width: 100%;
    border-radius: 0 1rem;
}
.project .card:hover{
    transform: scale(1.04);
    transition: 0.3s;
    
}

/*........tool tip...........*/

.tooltip {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}
  
.tooltip .tooltiptext {
    visibility: hidden;
    width: 100%;
    height: 100%;    
    background: rgba(0, 0, 0, 0.75);
    color: rgb(255, 255, 255);
    display: flex;
    text-align: center;
    justify-content: center;
    flex-direction: column;
    border-radius: 0 1rem;
    padding: 1rem;
    position: absolute;
    z-index: 1;
}
.tooltip .tooltiptexts {
    font-size: 1.5rem;
    font-weight: 900;
    padding: 0.7rem;
}
  
.tooltip:hover .tooltiptext {
    visibility: visible;
    height: 100%;
}
.tooltiptext a {
    text-decoration: none;
    color: crimson;
    padding: 1rem;
    font-size: large;
    font-weight: 600;
}


/* ........Contact..... */
.contact {
    background-image: url(Images/bg1.svg); 
    color: black;
    height: 15rem;
    width: 100%;
    padding: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 1rem;
}
.contact .social-icons {
    width: 40%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}
.contact .social-icons .social-link a{
    border: 4px solid crimson;
    border-radius: 20%;
    color: crimson;
    font-size: 2.5rem;
    padding: 0.3rem 0.3rem;  
    display: flex;
    align-items: center;
    justify-content: center;
}
.contact .social-icons .social-link a :hover {
    border-radius: 10px;
    color: rgb(255, 255, 255);
    background-color: rgb(0, 0, 0);
    transform: scale(1.5);
    transition: 0.1s;

}
.contact .copyright {
    font-size: 1.3rem;
    color: rgb(5, 5, 10);
}
.contact .copyright .name{
    color: crimson;
}






/* 1 media Query. start.......................... */

@media screen and (width <= 1120px) {
    .section-heading {
        font-size: 2.3rem;
        font-weight: 900;
        word-spacing: 0.2rem;
        margin: 1rem;
    }
    .navbar .left {
        font-size: 2rem;
        gap: 0.1rem;
    }
   
    .navbar .left .link {
        font-size: 2.5rem;       
    }    
    .navbar .right {
        gap: 1rem; 
    }


    .skills {
        row-gap: 0;
    }
    .skills .skills-headings {
        font-size: 2.4rem;
    }
    .skills .skills-showcase {
        width: 90%;
    }
    .skills .skills-heading {
        font-size: 1.4rem;
    }
    .skills .skills-text {
        font-size: 1.13rem;
    }
    .skills .skills-box .circle {
        height: 6rem;
        width: 6rem;
    }
    .project .project-showcase{
        padding: 1rem;
        margin: 0;
    }
    .project-items{
        height: calc(9 * 21px);
        width: calc(16 * 21px);

    }
    .project-items{
    border-radius: 0 1rem;
    height: calc(9 * 23px);
    width: calc(16 * 23px);
    box-shadow: rgb(17, 19, 22) 6px 4px 20px 1px;
        flex-shrink: 0;
    }
    img{
        height: 100%;
        width: 100%;
        border-radius: 0 1rem;
    }
    .project .card:hover{
        transform: scale(1.04);
        transition: 0.3s;
        
    }
    .tooltip {
        font-size: 15px;
    }
    .tooltip .tooltiptexts {
        padding: 0.3rem;
    }

    .tooltiptext a {
        padding: 0.5rem;
    }    
}



/* 2 */
@media screen and (max-width: 965px) {
    .section-heading {
        font-size: 2.1rem;
    }
    .navbar #checkbtn{
        display: block;
        cursor: pointer;
    }
    #check:checked ~ #checkbtn i::before{
        content: "\f00d";
    }
    .navbar .left .name{
        font-size: 2rem;
    }
    .navbar .right {
        position: fixed;
        width: 100%;
        height: 100vh;
        background: linear-gradient(to right, black, crimson);
        position: fixed;
        top: 59px;
        left: -100%;
        transition: 0.4s;
        display: block;
        text-align: center;
    }
    .navbar .right .button {
        border: none;
        display: block;
        line-height: 120px;
        margin: 1.5rem 0;

    }
    .navbar .right .button a:hover{
        font-size: 1.9rem;
        transition: 0.3s;
        color: black;
    }

    .about .about-grid{
        min-height: 25rem;
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(3, 1fr);
        row-gap: 1rem;
        column-gap: 0.5rem;
    }
    .about .about-img{
        grid-row: 1 / span 3;
        grid-column: 1 / 3;
    }
    .about .about-img img {
        width: 75%;
        height: auto;
    }
    .about .about-name{
        grid-row: 1 / 2 ;
        grid-column: 3 / -1;
        font-size: 3rem; 

    }
    .about .about-text{
        grid-row: 2 / 3;
        grid-column: 3 / -1;   
        font-size: 1.4rem; 
        margin-top: 0.6rem;
    }
    .about .about-button-contect{
        grid-row: 3 / -1;
        grid-column: 3;
    }
    .about .about-button-resume{
        grid-row: 3 / -1;
        grid-column: 4;
    }
    .about .buttons {
        font-size: 1.5rem;
        align-self: start;
        justify-self: start;
        transition: all 0.3s ease;
        padding: 0.5rem 1rem;
    }
    .about .buttons:hover{
        transform: scale(1.1);
        transition: 0.3s;
    }
        
    .about .about-name{
        font-size: 3.5rem;
        font-weight: 600;
    }
    .about .about-name span {
        font-size: 1.3rem;
    }
    .about .about-text{
        word-spacing: 0;
        font-size: 1.3rem;
    }

    .skills {
        height: auto;
        padding: 2rem 0;
        
    }
    .skills .skills-headings {
        font-size: 2.1rem;
    }
    .skills .skills-showcase {
        height: 80%;
        width: 90%;
        padding:  1rem;
        display: flex;
        flex-direction: column;        
    }
    .skills .skills-heading {
        font-size: 1.3rem;
        order: -1;
        align-self: flex-start;
    }
    .skills .skills-text {
        padding: 0 0 1rem 0;
    }
    .skills .skills-box .circle {
        height: 5.5rem;
        width: 5.5rem;
        padding: 2.6rem;
        margin: 0 2%;
    }

    .project {
        padding: 1rem 0.3rem;
    }
    .project .project-showcase{
        padding: 1.5rem;
        margin: 0;
        gap: 2.5rem;
    }
    .project-items{
        height: calc(9 * 19px);
        width: calc(16 * 19px);
    }
    .tooltip {
        font-size: 14px;
    }
    .tooltip .tooltiptexts {
        font-size: 1.3rem;
        padding: 0.3rem;
    }
    .tooltiptext a {
        padding: 0.5rem;
    }
}
/* 3 */
@media screen and (max-width: 800px){
    

    .navbar .left {
        width: 20rem;  
        display: flex;
        align-items: center;
        font-size: 0.2rem;
        font-weight: 600;
        color: white;
        letter-spacing: 0;
        line-height: 55px;
        gap: 1rem;
        }
    .navbar .left .link {
        width: 7rem;
        height: 2rem;
        font-size: 2rem;
        display: flex;
        align-items: center;
        justify-content: space-around;
        line-height: 65px;
    }
    .navbar .left a {
        text-decoration: none;
        border-radius: 8px;
        color:  white;
        padding: 0.24rem 0.28rem 0.24rem 0.33rem; 
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .about .about-grid{
        height: auto;
        width: 100%;
        min-height: 15rem;
        padding: 1.3rem;
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(3, 1fr);
        row-gap: 1rem;
        column-gap: 1rem;
    }
    .about .about-img{
        grid-row: 1 / -1;
        grid-column: 1 / span 2;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .about .about-img img { 
        width: 90%;
        height: auto;
        min-width: 13rem;
        min-height: 22rem;
    }
    .about .about-name{
        grid-column: 3 / -1;
        font-size: 3rem;
        font-weight: 1000;
        line-height: 2.4rem;
        align-self: end;
    }
    .about .about-name span {
        height: 4px;
        font-size: 1.3rem;
        font-family: 'Sofia Sans', sans-serif;
    }
    .about .about-text{
        grid-column: 3 / -1;
        word-spacing: 0.2rem;
        text-align: justify;
        font-size: 1.2rem;
        font-family: 'Sofia Sans', sans-serif;
        margin-top: 0;

    }
    .about .about-button-contect{
        grid-column: 3 / 4;
    }
    .about .about-button-resume {
        grid-column: 4 / -1;
    }
    .about .buttons {
        font-size: 1.3rem;
        padding: 0.45rem 0.8rem;
    }

    .project-items{
        border-radius: 0 1rem;
        height: calc(9 * 18px);
        width: calc(16 * 18px);
    }
    .contact .social-icons {
        width: 60%;
    }
}



/*____________.....mobile......________________*/

@media screen and (max-width: 500px){
    .section-heading {
        font-size: 1.8rem;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .navbar {
        padding: 0 1rem;
    }
    .navbar .left {

        display: flex;
        align-items: center;
        justify-content: left;
        }
    .navbar .left .name {
        font-size: 1.4rem;
    }
    .navbar .left .link {
        height: 3rem;
        font-size: 2.8rem;
        display: flex;
        align-items: center;
        justify-content: center;
        line-height: 65px;
    }
    .navbar .left a {
        text-decoration: none;
        border-radius: 8px;
        color:  white;
        padding: 0.23rem 0.28rem 0.22rem 0.28rem; 
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .navbar .left a :hover {
        border-radius: 2px;
        color: black;
        background-color: aliceblue;
        transform: scale(1.2);
        transition: 0.3s;
    } 
    #checkbtn{
        font-size: 1.5rem;
    }

    .about {
        height: auto;
    }
    .about .about-grid{
        border: none;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }
    .about .about-img{
        margin-top: 5rem;
    }
    .about .about-img img {
        width: 90%;
        height: 80%;
        border-radius: 1rem;
    }
    .about .about-name{
        font-size: 3rem;
        font-weight: 900;
        height: -10px;
        padding: 0 0.5rem;
        align-self: normal;
 
    } 

    .about .about-text{
        font-size: 1.2rem;
        text-align: justify;
    } 
    .project .project-showcase{
        padding: 1rem 0;
        gap: 2.5rem;

    }    
    .contact .social-icons {
        width: 100%;
    }
    .contact .social-icons .social-link a{
        font-size: 2.1rem;
        padding: 0.2rem 0.2rem;  
    }

}